<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content class">
                   <div class="content-data">











<ol class="breadcrumb">
  <li>Classes</li>
  <li>ElectionPropertiesModelEdit</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts</code>
        </p>





            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>






                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#root">root</a>
                                </li>
                                <li>
                                    <a href="#modelName">modelName</a>
                                </li>
                                <li>
                                    <a href="#displayCandidateSearchForm">displayCandidateSearchForm</a>
                                </li>
                                <li>
                                    <a href="#allowChangeOfElectoralRoll">allowChangeOfElectoralRoll</a>
                                </li>
                                <li>
                                    <a href="#displayEmptyPosition">displayEmptyPosition</a>
                                </li>
                                <li>
                                    <a href="#displayCandidatePositionOnACompactBallotPaper">displayCandidatePositionOnACompactBallotPaper</a>
                                </li>
                                <li>
                                    <a href="#displayCandidatePositionOnAModifiedBallotPaper">displayCandidatePositionOnAModifiedBallotPaper</a>
                                </li>
                                <li>
                                    <a href="#displaySuffrageCount">displaySuffrageCount</a>
                                </li>
                                <li>
                                    <a href="#displayListVerificationCode">displayListVerificationCode</a>
                                </li>
                                <li>
                                    <a href="#candidateInformationDisplayModel">candidateInformationDisplayModel</a>
                                </li>
                                <li>
                                    <a href="#allowOpenCandidature">allowOpenCandidature</a>
                                </li>
                                <li>
                                    <a href="#allowMultipleMandates">allowMultipleMandates</a>
                                </li>
                                <li>
                                    <a href="#displayVoidOnEmptyBallotPaper">displayVoidOnEmptyBallotPaper</a>
                                </li>
                                <li>
                                    <a href="#saveButton">saveButton</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>









            <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="root"></a>
                        <span class="name"><b>root</b><a href="#root"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>root()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="12" class="link-to-prism">e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts:12</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="modelName"></a>
                        <span class="name"><b>modelName</b><a href="#modelName"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>modelName()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="16" class="link-to-prism">e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts:16</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayCandidateSearchForm"></a>
                        <span class="name"><b>displayCandidateSearchForm</b><a href="#displayCandidateSearchForm"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>displayCandidateSearchForm()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts:20</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="allowChangeOfElectoralRoll"></a>
                        <span class="name"><b>allowChangeOfElectoralRoll</b><a href="#allowChangeOfElectoralRoll"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>allowChangeOfElectoralRoll()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts:24</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayEmptyPosition"></a>
                        <span class="name"><b>displayEmptyPosition</b><a href="#displayEmptyPosition"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>displayEmptyPosition()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="28" class="link-to-prism">e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts:28</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayCandidatePositionOnACompactBallotPaper"></a>
                        <span class="name"><b>displayCandidatePositionOnACompactBallotPaper</b><a href="#displayCandidatePositionOnACompactBallotPaper"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>displayCandidatePositionOnACompactBallotPaper()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="32" class="link-to-prism">e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts:32</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayCandidatePositionOnAModifiedBallotPaper"></a>
                        <span class="name"><b>displayCandidatePositionOnAModifiedBallotPaper</b><a href="#displayCandidatePositionOnAModifiedBallotPaper"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>displayCandidatePositionOnAModifiedBallotPaper()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="36" class="link-to-prism">e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts:36</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displaySuffrageCount"></a>
                        <span class="name"><b>displaySuffrageCount</b><a href="#displaySuffrageCount"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>displaySuffrageCount()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="40" class="link-to-prism">e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts:40</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayListVerificationCode"></a>
                        <span class="name"><b>displayListVerificationCode</b><a href="#displayListVerificationCode"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>displayListVerificationCode()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="44" class="link-to-prism">e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts:44</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="candidateInformationDisplayModel"></a>
                        <span class="name"><b>candidateInformationDisplayModel</b><a href="#candidateInformationDisplayModel"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>candidateInformationDisplayModel()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="48" class="link-to-prism">e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts:48</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="allowOpenCandidature"></a>
                        <span class="name"><b>allowOpenCandidature</b><a href="#allowOpenCandidature"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>allowOpenCandidature()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="52" class="link-to-prism">e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts:52</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="allowMultipleMandates"></a>
                        <span class="name"><b>allowMultipleMandates</b><a href="#allowMultipleMandates"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>allowMultipleMandates()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="56" class="link-to-prism">e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts:56</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayVoidOnEmptyBallotPaper"></a>
                        <span class="name"><b>displayVoidOnEmptyBallotPaper</b><a href="#displayVoidOnEmptyBallotPaper"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>displayVoidOnEmptyBallotPaper()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="60" class="link-to-prism">e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts:60</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="saveButton"></a>
                        <span class="name"><b>saveButton</b><a href="#saveButton"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>saveButton()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="64" class="link-to-prism">e2e/page-object/operation/parameters/election-page-properties/election-page-properties-model.po.ts:64</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { by, ElementFinder } from &#x27;protractor&#x27;;
import { Card } from &#x27;../../../../shared/card&#x27;;
import { Cache } from &#x27;../../../cache.po&#x27;;
import { InputField } from &#x27;../../../../shared/input-field&#x27;;
import { SlideToggle } from &#x27;../../../../shared/slide-toggle&#x27;;
import { SelectField } from &#x27;../../../../shared/select-field&#x27;;
import { Button } from &#x27;../../../../shared/button&#x27;;
import { promise } from &#x27;selenium-webdriver&#x27;;

export class ElectionPropertiesModelEdit {

  static get root(): Card {
    return Cache.card(&#x27;electionPagePropertiesModelEdit&#x27;);
  }

  static get modelName(): InputField {
    return Cache.inputField(this.root.content, &#x27;electionPagePropertiesModelEdit&#x27;, &#x27;modelName&#x27;);
  }

  static get displayCandidateSearchForm(): SlideToggle {
    return Cache.slideToggle(this.root.content, &#x27;electionPagePropertiesModelEdit&#x27;, &#x27;displayCandidateSearchForm&#x27;);
  }

  static get allowChangeOfElectoralRoll(): SlideToggle {
    return Cache.slideToggle(this.root.content, &#x27;electionPagePropertiesModelEdit&#x27;, &#x27;allowChangeOfElectoralList&#x27;);
  }

  static get displayEmptyPosition(): SlideToggle {
    return Cache.slideToggle(this.root.content, &#x27;electionPagePropertiesModelEdit&#x27;, &#x27;displayEmptyPosition&#x27;);
  }

  static get displayCandidatePositionOnACompactBallotPaper(): SlideToggle {
    return Cache.slideToggle(this.root.content, &#x27;electionPagePropertiesModelEdit&#x27;, &#x27;displayCandidatePositionOnACompactBallotPaper&#x27;);
  }

  static get displayCandidatePositionOnAModifiedBallotPaper(): SlideToggle {
    return Cache.slideToggle(this.root.content, &#x27;electionPagePropertiesModelEdit&#x27;, &#x27;displayCandidatePositionOnAModifiedBallotPaper&#x27;);
  }

  static get displaySuffrageCount(): SlideToggle {
    return Cache.slideToggle(this.root.content, &#x27;electionPagePropertiesModelEdit&#x27;, &#x27;displaySuffrageCount&#x27;);
  }

  static get displayListVerificationCode(): SlideToggle {
    return Cache.slideToggle(this.root.content, &#x27;electionPagePropertiesModelEdit&#x27;, &#x27;displayListVerificationCode&#x27;);
  }

  static get candidateInformationDisplayModel(): SelectField {
    return Cache.selectField(this.root.content, &#x27;electionPagePropertiesModelEdit&#x27;, &#x27;candidateInformationDisplayModel&#x27;);
  }

  static get allowOpenCandidature(): SlideToggle {
    return Cache.slideToggle(this.root.content, &#x27;electionPagePropertiesModelEdit&#x27;, &#x27;allowOpenCandidature&#x27;);
  }

  static get allowMultipleMandates(): SlideToggle {
    return Cache.slideToggle(this.root.content, &#x27;electionPagePropertiesModelEdit&#x27;, &#x27;allowMultipleMandates&#x27;);
  }

  static get displayVoidOnEmptyBallotPaper(): SlideToggle {
    return Cache.slideToggle(this.root.content, &#x27;electionPagePropertiesModelEdit&#x27;, &#x27;displayVoidOnEmptyBallotPaper&#x27;);
  }

  static get saveButton(): Button {
    return Cache.button(&#x27;saveButton&#x27;);
  }
}

export class VerificationCodeTableEdit {

  static get root(): ElementFinder {
    return Cache.element(&#x27;verificationCodeTable&#x27;, by.tagName(&#x27;verification-code-edit&#x27;));
  }

  static get columnsToDisplaySection(): ElementFinder {
    return Cache.element(&#x27;columns-to-display&#x27;);
  }

  static get columnsToSortSection(): ElementFinder {
    return Cache.element(&#x27;columns-to-sort&#x27;);
  }

  static get numberOfColumnToDisplay(): promise.Promise&lt;number&gt; {
    return this.columnsToDisplaySection.all(by.tagName(&#x27;mat-select&#x27;)).then(items &#x3D;&gt; items.length);
  }

  static get numberOfColumnToSort(): promise.Promise&lt;number&gt; {
    return this.columnsToSortSection.all(by.tagName(&#x27;mat-select&#x27;)).then(items &#x3D;&gt; items.length);
  }

  static getColumnToDisplay(index: number) {
    return Cache.selectField(this.columnsToDisplaySection.element(by.id(&#x60;column_to_display_${index}&#x60;)), &#x60;verificationCodeTable-display-${index}&#x60;);
  }

  static getColumnToSort(index: number) {
    return Cache.selectField(this.columnsToSortSection.element(by.id(&#x60;column_to_sort_${index}&#x60;)), &#x60;verificationCodeTable-sort-${index}&#x60;);
  }

  static get addAColumnToDisplayButton() {
    return new Button(&#x27;add-column-to-display&#x27;);
  }

  static get addAColumnToSortButton() {
    return new Button(&#x27;add-column-to-sort&#x27;);
  }
}
</code></pre>
    </div>
</div>







                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'class';
            var COMPODOC_CURRENT_PAGE_URL = 'ElectionPropertiesModelEdit.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
